'use client'
import { useTranslation } from "@/src/hooks/useTranslation";
import { Button, Tooltip } from "@nextui-org/react";
import { getSession, useSession } from "next-auth/react";
import { useRouter } from "next/navigation";
import { useEffect, useState } from "react";
import { IoArrowBackCircleOutline } from "react-icons/io5";


export default function BackSelectButton() {

    const route = useRouter();
    const { trans } = useTranslation();
    const { status, data: session } = useSession();
    const [visible, setVisible] = useState(false);
    
    
    const validateChatbots = async () => {
        try {
            const sesionData = await getSession();
            if (sesionData?.user.chatbots.length > 1) {
                setVisible(true);
            }
        } catch (error) {
            setVisible(false);
        }
    }
    useEffect(() => {
        if (status === "authenticated") {
            try {
                if (session?.user.chatbots.length > 1) {
                    setVisible(true);
                }
            } catch (error) {
                validateChatbots();
            }
        }
    }, [status])



    const back = () => {
        route.push('/chat/select')
    }
    return (
        visible && (
            <Tooltip
                placement="right"
                content={trans('back_selected_chatbot_button_title')}
                color="default"
            >
                <Button onClick={back} color="default" radius="full" className={`min-w-11 min-h-11 size-11 p-0 bg-white text-indigo-600`} variant="solid">
                    <IoArrowBackCircleOutline size={26} />
                </Button>
            </Tooltip>
        )
    )
}